<!DOCTYPE HTML>
<html>
  <head>
    <script type="text/javascript" src="dist/main.js"></script>
    <script type="text/javascript" src="dist/example.js"></script>
    <link rel="stylesheet" href="dist/main.css">
    <title>Test page</title>
  </head>
  <body class="pa-4">
    <div>
      <h1 class="text-subtitle-1">Block width</h1>

      <p>class="w-all"</p>
      <div class="w-all" style="border: 1px dashed red">
        Content
      </div>

      <p>class="w-dyn"</p>
      <div class="w-dyn-700" style="border: 1px dashed red">
        <p>class="w-dyn-700"</p>
      </div>
      <div class="w-dyn-800" style="border: 1px dashed red">
        <p>class="w-dyn-800"</p>
      </div>
      <div class="w-dyn-900" style="border: 1px dashed red">
        <p>class="w-dyn-900"</p>
      </div>
      <div class="w-dyn-1000" style="border: 1px dashed red">
        <p>class="w-dyn-1000"</p>
      </div>
      <div class="w-dyn-1100" style="border: 1px dashed red">
        <p>class="w-dyn-1100"</p>
      </div>

    </div>

    <div>
      <h1>Flex</h1>

      <p>div class="d-flex justify-space-between"</p>
      <div class="d-flex justify-space-between pa-2 mb-3" style="border: 1px dashed red">
        <div class="pa-1" style="border: 1px dashed red">div</div>
        <div class="pa-1" style="border: 1px dashed red">div</div>
        <div class="pa-1" style="border: 1px dashed red">div</div>
      </div>

      <p>div class="d-flex"</p>
      <div class="d-flex pa-2 mb-3" style="border: 1px dashed red">
        <div class="pa-1 flex-grow-1" style="border: 1px dashed red">
          <p>div class="flex-grow-1"</p>
        </div>
        <div class="pa-1 d-none d-md-block" style="border: 1px dashed red">
          <p>class="d-none d-md-block"</p>
        </div>
      </div>
    </div>

    <div>
      <h1>Padding and margin</h1>

      <div class="px-1" style="
                  background-image: linear-gradient(to bottom, rgba(240, 255, 40, 1) 0%, rgba(240, 255, 40, 1) 100%), linear-gradient(to bottom, rgba(240, 40, 40, 1) 0%, rgba(240, 40, 40, 1) 100%);
                  background-clip: content-box, padding-box;">
        px-1
      </div>
      <div class="px-2" style="
                  background-image: linear-gradient(to bottom, rgba(240, 255, 40, 1) 0%, rgba(240, 255, 40, 1) 100%),
                                    linear-gradient(to bottom, rgba(240, 40, 40, 1) 0%, rgba(240, 40, 40, 1) 100%);
                  background-clip: content-box, padding-box;">
        px-2
      </div>
    </div>


    <div>
      <h1>Buttons</h1>

      <p>data-click="alert"</p>
      <button data-click="test">hello</button>

      <button class="btn">asd</button>

    </div>


    <div>
      <h1>Pages</h1>

      <a href="/">Home</a> |
      <a href="/contacts" data-get="/123">Contacts</a>
      <div data-part="main">
        qwe qwe
      </div>

    </div>

  </body>
</html>
